unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, TeeGDIPlus, TeEngine, ExtCtrls, TeeProcs, Chart, TeeSurfa,
  TeeMapSeries, TeeComma;

type
  TForm1 = class(TForm)
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

uses TeeConst;

var Chart1: TChart;

procedure TForm1.FormCreate(Sender: TObject);
var Fserie: TMapSeries;
begin
  Chart1:=TChart.Create(Self);
  Chart1.Parent:=Self;
  Chart1.Align:=alClient;

  Chart1.Title.Text.Text:=TeeMsg_Version;

  Chart1.View3D:=false;
  Chart1.Legend.Visible:=false;

  //Fserie := TMapSeries(Chart1.Series[0]) ;
  Fserie := Chart1.AddSeries(TMapSeries) as TMapSeries;
  Fserie.Shapes.Clear ;
  Fserie.Shapes.Add ;
  Fserie.Shapes.Polygon[0].Gradient.Visible := True ;
  Fserie.Shapes.Polygon[0].Gradient.StartColor := clBlue ;
  Fserie.Shapes.Polygon[0].Gradient.EndColor := clRed ;

    Chart1.BottomAxis.Maximum := 60 ;
      Chart1.LeftAxis.Maximum := 40 ;

      //Premier plat et premre rampe
      Fserie.Shapes[0].AddXY(24, 18.5) ;
      Fserie.Shapes[0].AddXY(22, 18.5) ;
      Fserie.Shapes[0].AddXY(15.2, 11.5) ;
      Fserie.Shapes[0].AddXY(1, 11.5) ;
      Fserie.Shapes[0].AddXY(1, 10.5) ;
      Fserie.Shapes[0].AddXY(16, 10.5) ;
      Fserie.Shapes[0].AddXY(24, 18.5) ;

      //Jointure
      Fserie.Shapes[0].AddXY(23, 18.5) ;
      Fserie.Shapes[0].AddXY(24.2, 19.5) ;

      //Premier step dans le plat
      Fserie.Shapes[0].AddXY(26, 19.5) ;
      Fserie.Shapes[0].AddXY(26, 20.25) ;
      Fserie.Shapes[0].AddXY(28, 20.25) ;
      Fserie.Shapes[0].AddXY(28, 18.75) ;
      Fserie.Shapes[0].AddXY(26, 18.75) ;
      Fserie.Shapes[0].AddXY(26, 19.5) ;
      Fserie.Shapes[0].AddXY(26, 18.75) ;
      Fserie.Shapes[0].AddXY(28, 18.75) ;
      Fserie.Shapes[0].AddXY(28, 19.5) ;

      //Deuxime step dans le plat
      Fserie.Shapes[0].AddXY(30, 19.5) ;
      Fserie.Shapes[0].AddXY(30, 20.25) ;
      Fserie.Shapes[0].AddXY(32, 20.25) ;
      Fserie.Shapes[0].AddXY(32, 18.75) ;
      Fserie.Shapes[0].AddXY(30, 18.75) ;
      Fserie.Shapes[0].AddXY(30, 19.5) ;
      Fserie.Shapes[0].AddXY(30, 18.75) ;
      Fserie.Shapes[0].AddXY(32, 18.75) ;
      Fserie.Shapes[0].AddXY(32, 19.5) ;

      //Jointure
      Fserie.Shapes[0].AddXY(34, 19.5) ;
      Fserie.Shapes[0].AddXY(35, 20.6) ;

      //Premier step dans la rampe
      Fserie.Shapes[0].AddXY(34.4, 21.1) ;
      //Fserie.Shapes[0].AddXY(31.4, 13.1) ;
      Fserie.Shapes[0].AddXY(36.2, 23) ;
      //Fserie.Shapes[0].AddXY(32.6, 12) ;
      Fserie.Shapes[0].AddXY(37.4, 21.8) ;
      Fserie.Shapes[0].AddXY(35.6, 19.9) ;
      Fserie.Shapes[0].AddXY(35, 20.6) ;
      Fserie.Shapes[0].AddXY(35.6, 19.9) ;
      //Fserie.Shapes[0].AddXY(32.6, 12) ;
      Fserie.Shapes[0].AddXY(37.4, 21.8) ;
      //Fserie.Shapes[0].AddXY(32, 12.6) ;
      Fserie.Shapes[0].AddXY(36.8, 22.5) ;

      Fserie.Shapes[0].AddXY(38.2, 23.8) ;

      //Deuxime step dans la rampe
      Fserie.Shapes[0].AddXY(37.6, 24.3) ;
      Fserie.Shapes[0].AddXY(39.4, 26.2) ;
      Fserie.Shapes[0].AddXY(40.6, 25) ;
      Fserie.Shapes[0].AddXY(38.8, 23.1) ;
      Fserie.Shapes[0].AddXY(38.2, 23.8) ;
      Fserie.Shapes[0].AddXY(38.8, 23.1) ;
      Fserie.Shapes[0].AddXY(40.6, 25) ;

      Fserie.Shapes[0].AddXY(40, 25.5) ;

      //Jointure
      Fserie.Shapes[0].AddXY(41.2, 26.7) ;
      Fserie.Shapes[0].AddXY(43, 26.7) ;

      //Plat finale
      Fserie.Shapes[0].AddXY(43, 26.7) ;
      Fserie.Shapes[0].AddXY(43, 27.7) ;
      Fserie.Shapes[0].AddXY(58, 27.7) ;
      Fserie.Shapes[0].AddXY(58, 25.9) ;
      Fserie.Shapes[0].AddXY(43, 25.9) ;
      Fserie.Shapes[0].AddXY(43, 26.7) ;

      //Retour en arrire
      Fserie.Shapes[0].AddXY(41.2, 26.7) ;
      Fserie.Shapes[0].AddXY(40, 25.5) ;
      Fserie.Shapes[0].AddXY(40.6, 25) ;
      Fserie.Shapes[0].AddXY(38.8, 23.1) ;
      Fserie.Shapes[0].AddXY(38.2, 23.8) ;

      //Fserie.Shapes[0].AddXY(32, 12.6) ;
      Fserie.Shapes[0].AddXY(36.8, 22.5) ;
      //Fserie.Shapes[0].AddXY(32.6, 12) ;
      Fserie.Shapes[0].AddXY(37.4, 21.8) ;
      Fserie.Shapes[0].AddXY(35.6, 19.9) ;
      Fserie.Shapes[0].AddXY(35, 20.6) ;
      Fserie.Shapes[0].AddXY(34, 19.5) ;

      Fserie.Shapes[0].AddXY(32, 19.5) ;
      Fserie.Shapes[0].AddXY(32, 18.75) ;
      Fserie.Shapes[0].AddXY(30, 18.75) ;
      Fserie.Shapes[0].AddXY(30, 19.5) ;

      Fserie.Shapes[0].AddXY(28, 19.5) ;
      Fserie.Shapes[0].AddXY(28, 18.75) ;
      Fserie.Shapes[0].AddXY(26, 18.75) ;
      Fserie.Shapes[0].AddXY(26, 19.5) ;

      Fserie.Shapes[0].AddXY(24.2, 19.5) ;
      Fserie.Shapes[0].AddXY(23, 18.5) ;
end;


end.
